=== debian/changelog ===
fltk1.3 (1.3.4-9) unstable; urgency=medium

  * d/control: Tighten B-D-I on texlive-latex-extra to definitively avoid
    #920459, which accidentally recurred in one release.  (See #921294.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 27 Feb 2019 21:21:30 -0500

fltk1.3 (1.3.4-8) unstable; urgency=medium

  * configure: Revert local changes in favor of using dh_autoreconf.
  * configure.ac: Use (PKG_PROG_)PKG_CONFIG per Helmut Grohne.
  * debian/*-none*: Formally renamed from debian/*-noconfig* and tweaked
    correspondingly to account for running cmake via dh_auto_configure,
    which supplies -DCMAKE_BUILD_TYPE=None.
  * debian/control:
    - Add a versioned Build-Depends-Indep entry for texlive-latex-extra to
      avoid (long)tabu lossage from #920459.  (Closes: #921294.)
    - Standards-Version: 4.3.0 (fully compliant at this point).
  * debian/rules:
    - Allow (dh_)autoreconf after all, albeit with autoheader suppressed.
    - Run cmake via dh_auto_configure per Helmut Grohne's suggestion;
      account for formal side effects of gaining -DCMAKE_BUILD_TYPE=None.
    - Use /usr/share/dpkg/{architecture,buildflags}.mk instead of calling
      dpkg-{architecture,buildflags} directly (and piecemeal).
    - Specify a host-specific pkg-config per Helmut Grohne, both in FTCONFIG
      and in the environment.  (Together with the configure.ac change,
      closes: #900190.)
    - Strip all -f*-prefix-map=* flags from fltk-config.  (See #909078.)
    - override_dh_installchangelogs: Install CHANGES as NEWS(.gz), not
      changelog(.gz).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 Feb 2019 20:30:37 -0500

fltk1.3 (1.3.4-7) unstable; urgency=medium

  * debian/compat: Advance to 11.
  * debian/control:
    - Advance debhelper Build-Depends version constraint to (>= 11~).
    - Rules-Requires-Root: no (confirmed not to affect binary packages).
    - Vcs-{Browser,Git}: Move to salsa.debian.org.
    - Standards-Version: 4.1.3 (already compliant).
  * CMake/FLTKConfig.cmake.in: Never redeclare fluid, which
    FLTK-Targets.cmake already declares.  (Closes: #892979.)
  * debian/rules:
    - Address FTCBFS, based on a patch from Helmut Grohne
      for fltk1.1 (see #887636).
      + Avoid configuring during clean.
      + Do not pass build architecture compiler to cmake or configure.
      + In arch-only builds, limit coverage of test/ to the three targets we
        specifically need for fltk1.1-games.  (Many of the others involve
        trying to run freshly built fluid.)
    - Pass "/usr/bin/pkg-config freetype2" off as FTCONFIG (in lieu of
      freetype-config, which is now deprecated) (see #892341).
    - Set DEB_BUILD_MAINT_OPTIONS more readably.
    - Use ?= for DEB_HOST_(MULTI)ARCH.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 15 Mar 2018 22:20:20 -0400

fltk1.3 (1.3.4-6) unstable; urgency=medium

  * debian/fix-fltk-targets-noconfig: Correct overzealous escaping that led
    to doubled multiarch paths for some settings.  (Closes: #871508.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 08 Aug 2017 14:06:54 -0400

fltk1.3 (1.3.4-5) unstable; urgency=medium

  * debian/{compat,control}: Advance to Debhelper 10.
  * debian/fix-fltk-targets-noconfig: Escape some left braces meant to be
    taken literally, for compatibility with Perl 5.26.  (Closes: #871059.)
  * debian/rules:
    - Run dh --without autoreconf.  FLTK uses a hand-maintained configh.in
      and an autoheader-unfriendly configure.ac, breaking autoreconf
      (which runs by default as of compat 10).
    - Implement nodoc support, required as of Policy 4.0.0.
  * Standards-Version: 4.0.1 (now compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 06 Aug 2017 23:06:46 -0400

fltk1.3 (1.3.4-4) unstable; urgency=medium

  * debian/control: Build-depend on libxcursor-dev.  (Closes: #855863.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 22 Feb 2017 22:28:48 -0500

fltk1.3 (1.3.4-3) unstable; urgency=medium

  * debian/fix-fltk-targets-noconfig: Append logic to refrain from
    enforcing the existence of fluid in FLTK_SKIP_FLUID mode, based
    on a suggestion from Gianfranco Costamagna <locutusofborg@d.o>.
    (Closes: #855040.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 13 Feb 2017 22:26:35 -0500

fltk1.3 (1.3.4-2) unstable; urgency=medium

  * debian/fix-fltk-targets-noconfig: Update for current CMake output
    per Javier Serrano Polo <javier@jasp.net>.  (Closes: #852276.)
  * debian/rules: Handle interruptions better wrt fltk.spec and CMakeTmp,
    also per Javier Serrano Polo <javier@jasp.net>.  (Closes: #852279.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 24 Jan 2017 22:22:47 -0500

fltk1.3 (1.3.4-1) unstable; urgency=medium

  * New upstream release (technically 1.3.4-1, since upstream replaced the
    original 1.3.4 release with a respin featuring improved Visual Studio
    solution files and a slightly altered version number).
  * KNOWN_BUGS.html: Comment out privacy-violating favicon link.
  * debian/control:
    - Retire explicit libfltk1.3-dbg package in favor of automatic -dbgsym
      packages.
    - Canonicalize with the help of cme fix.  In particular, declare
      Standards-Version: 3.9.8 (already compliant, not that cme checked).
  * debian/copyright: Reflect current reality.
    - HTTPS copyright-format URL.
    - Real source URL (http-only, alas).
    - Update copyright details for FLTK and (unused) convenience libraries.
  * debian/fluid.install, fluid/Makefile: /usr/share/mime/packages/fluid.xml
    has superseded /usr/share/mimelnk/application/x-fluid.desktop.
  * debian/libfltk1.3-dev.install: +/usr/include/FL/abi-version.h.
  * debian/libfltk1.3(-dev).docs: Install new documentation files:
    KNOWN_BUGS.html (and auxiliary html directory) to libfltk1.3,
    README.abi-version.txt to libfltk1.3-dev.
  * debian/libfltk1.3.symbols: Update per new release.  A few symbols changed,
    but all were private.
  * debian/rules:
    - Reflect current exported CMake configuration --

