=== debian/control ===
Source: fltk1.3
Maintainer: Aaron M. Ucko <ucko@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               libcairo2-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libjpeg-dev,
               libpng-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               pkg-config,
               zlib1g-dev | libz-dev
Build-Depends-Arch: cmake,
                    libasound2-dev [linux-any]
Build-Depends-Indep: doxygen-latex,
                     texlive-font-utils,
		     texlive-latex-extra (>= 2018.20190227-1~) | texlive-latex-extra (<< 2018.20181215~)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/ucko/fltk1.3
Vcs-Git: https://salsa.debian.org/ucko/fltk1.3.git
Homepage: http://www.fltk.org/
Rules-Requires-Root: no

Package: fluid
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: fltk1.3-doc,
            libfltk1.3-dev
Description: Fast Light Toolkit - user interface designer
 This package provides Fluid, an interactive GUI designer for FLTK,
 allowing graphical development of FLTK-based user
 interfaces. It natively works with (textual) .fl files, but also
 includes rough support for reading .fd files produced by fdesign (in
 libforms-bin).
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk1.3-dev
Architecture: any
Section: libdevel
Depends: libfltk-cairo1.3 (= ${binary:Version}),
         libfltk-forms1.3 (= ${binary:Version}),
         libfltk-gl1.3 (= ${binary:Version}),
         libfltk-images1.3 (= ${binary:Version}),
         libfltk1.3 (= ${binary:Version}),
         libx11-dev,
         ${misc:Depends}
Recommends: fluid,
            libgl1-mesa-dev | libgl-dev,
            libglu1-mesa-dev | libglu-dev
Suggests: fltk1.3-doc,
          libcairo2-dev,
          libjpeg-dev,
          libpng-dev,
          libxext-dev,
          libxft-dev,
          libxinerama-dev,
          zlib1g-dev | libz-dev
Conflicts: libfltk-dev
Provides: libfltk-dev
Replaces: libfltk-dev
Description: Fast Light Toolkit - development files
 This package provides the files necessary for compiling programs
 that depend on FLTK.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk1.3-compat-headers
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libfltk1.3-dev,
         ${misc:Depends}
Description: Fast Light Toolkit - compatibility header symlinks
 This package provides header symlinks with .h rather than .H extensions for
 compatibility with some older code that relies on the lowercase-h names.

Package: libfltk1.3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fast Light Toolkit - main shared library
 This package contains the files necessary for running programs
 dynamically linked with FLTK.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk-cairo1.3
Architecture: any
Multi-Arch: same
Depends: libfltk1.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fast Light Toolkit - Cairo rendering layer support
 This package contains the files necessary for running programs
 dynamically linked with FLTK's Cairo rendering layer bindings.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk-forms1.3
Architecture: any
Multi-Arch: same
Depends: libfltk1.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fast Light Toolkit - Forms compatibility layer support
 This package contains the files necessary for running programs
 dynamically linked with FLTK's Forms compatibility layer.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk-gl1.3
Architecture: any
Multi-Arch: same
Depends: libfltk1.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fast Light Toolkit - OpenGL rendering support
 This package contains the files necessary for running programs
 dynamically linked with FLTK's OpenGL rendering bindings.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk-images1.3
Architecture: any
Multi-Arch: same
Depends: libfltk1.3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fast Light Toolkit - image loading support
 This package contains the files necessary for running programs
 dynamically linked with FLTK's bindings to image-loading libraries.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: fltk1.3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Fast Light Toolkit - documentation
 This package provides documentation for FLTK, including a chapter on
 its user interface designer (fluid).
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: fltk1.3-games
Architecture: any
Multi-Arch: foreign
Section: games
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: fltk1.1-games
Replaces: fltk1.1-games
Description: Fast Light Toolkit - example games: checkers, sudoku
 This package contains the example games that accompany FLTK.
 Specifically, it contains the following two programs:
  - flblocks:   clear groups of adjacent blocks before they fill the screen;
  - flcheckers: classic board game, also known as draughts;
  - flsudoku:   Sudoku puzzle (place numbers in a grid).
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.
